MyGUI: MyGUI::MenuControl::ItemInfo Struct Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
MyGUI::MenuControl::ItemInfo Struct Reference

`#include <MyGUI_MenuControl.h>`

## Public Member Functions
| ItemInfo (MenuItem *_item, const UString &_name, MenuItemType _type, MenuControl *_submenu, const std::string &_id, Any _data)

## Data Fields
MenuItem * | item
UString | name
MenuItemType | type
MenuControl * | submenu
std::string | id
Any | data
int | width

## Detailed Description

Definition at line 40 of file MyGUI_MenuControl.h.

## Constructor & Destructor Documentation

## ◆ ItemInfo()

MyGUI::MenuControl::ItemInfo::ItemInfo | ( | MenuItem * | _item,
|  | const UString & | _name,
|  | MenuItemType | _type,
|  | MenuControl * | _submenu,
|  | const std::string & | _id,
|  | Any | _data )
| inline

Definition at line 42 of file MyGUI_MenuControl.h.

## Field Documentation

## ◆ data

Any MyGUI::MenuControl::ItemInfo::data

User data

Definition at line 64 of file MyGUI_MenuControl.h.

## ◆ id

std::string MyGUI::MenuControl::ItemInfo::id

Item id

Definition at line 62 of file MyGUI_MenuControl.h.

## ◆ item

MenuItem* MyGUI::MenuControl::ItemInfo::item

Item

Definition at line 54 of file MyGUI_MenuControl.h.

## ◆ name

UString MyGUI::MenuControl::ItemInfo::name

Item name

Definition at line 56 of file MyGUI_MenuControl.h.

## ◆ submenu

MenuControl* MyGUI::MenuControl::ItemInfo::submenu

Sub menu (or nullptr if no submenu)

Definition at line 60 of file MyGUI_MenuControl.h.

## ◆ type

MenuItemType MyGUI::MenuControl::ItemInfo::type

Widget have separator after item

Definition at line 58 of file MyGUI_MenuControl.h.

## ◆ width

int MyGUI::MenuControl::ItemInfo::width

Item width

Definition at line 66 of file MyGUI_MenuControl.h.

The documentation for this struct was generated from the following file:

- MyGUI_MenuControl.h